Bug 607806 - udev hangs on boot with 2.6.18-194.3.1.el5xen
udev hangs on boot with 2.6.18-194.3.1.el5xen
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.5
All Linux
low Severity medium
: rc
: ---
Assigned To: Red Hat Kernel Manager
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-24 17:27 EDT by Orion Poplawski
Modified: 2014-07-03 09:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-03 09:20:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg-2.6.18-164.15.1.el5xen (20.72 KB, text/plain)
2010-06-25 12:48 EDT, Orion Poplawski
no flags Details
dmesg-2.6.18-194.3.1.el5xen (20.64 KB, text/plain)
2010-06-25 12:49 EDT, Orion Poplawski
no flags Details

  None (edit)
Description Orion Poplawski 2010-06-24 17:27:37 EDT
Description of problem:

After upgrading to 5.5 and 2.6.18-194.3.1.el5xen, my machine hangs at starting udev.  I have managed to boot once with -194 and "udevdebug udevtimeout=30", but most of the time it hangs.  I can boot to 2.6.18-164.15.1.el5xen fine.

With udevdebug, screen shows:

udevd-event[1433]: pass_env_to_socket: passed -1 bytes to socket '/org/kernel/udev/monitor',
udevd-event[1433]: run_program: '/lib/udev/udev_run_hotplugd'
udevd-event[1433]: run_program: '/lib/udev/udev_run_hotplugd' returned with status 0
udevd-event[1433]: pass_env_to_socket: passed -1 bytes to socket '/org/freedesktop/hal/udev_event',
udevd-event[1433]: udev_event_run: seq 754 finished
udevd[486]: udev_done: seq 754, pid [1433] exit with 0, 0 seconds old
udevd[486]: udev_event_run: seq 756 forked, pid [1436], 'remove' 'spi_transport', 0 seconds old
udevd-event[1436]: pass_env_to_socket: passed -1 bytes to socket '/org/kernel/udev/monitor',
udevd-event[1436]: run_program: '/lib/udev/udev_run_hotplugd'
udevd-event[1436]: run_program: '/lib/udev/udev_run_hotplugd' returned with status 0
udevd-event[1436]: pass_env_to_socket: passed -1 bytes to socket '/org/freedesktop/hal/udev_event',
udevd-event[1436]: udev_event_run: seq 756 finished

Version-Release number of selected component (if applicable):
udev-095-14.21.el5


00:00.0 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.1 RAM memory: nVidia Corporation C51 Memory Controller 0 (rev a2)
00:00.2 RAM memory: nVidia Corporation C51 Memory Controller 1 (rev a2)
00:00.3 RAM memory: nVidia Corporation C51 Memory Controller 5 (rev a2)
00:00.4 RAM memory: nVidia Corporation C51 Memory Controller 4 (rev a2)
00:00.5 RAM memory: nVidia Corporation C51 Host Bridge (rev a2)
00:00.6 RAM memory: nVidia Corporation C51 Memory Controller 3 (rev a2)
00:00.7 RAM memory: nVidia Corporation C51 Memory Controller 2 (rev a2)
00:02.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:03.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:04.0 PCI bridge: nVidia Corporation C51 PCI Express Bridge (rev a1)
00:05.0 VGA compatible controller: nVidia Corporation C51PV [GeForce 6150] (rev a2)
00:09.0 RAM memory: nVidia Corporation MCP51 Host Bridge (rev a2)
00:0a.0 ISA bridge: nVidia Corporation MCP51 LPC Bridge (rev a2)
00:0a.1 SMBus: nVidia Corporation MCP51 SMBus (rev a2)
00:0b.0 USB Controller: nVidia Corporation MCP51 USB Controller (rev a2)
00:0b.1 USB Controller: nVidia Corporation MCP51 USB Controller (rev a2)
00:0d.0 IDE interface: nVidia Corporation MCP51 IDE (rev a1)
00:0e.0 IDE interface: nVidia Corporation MCP51 Serial ATA Controller (rev a1)
00:10.0 PCI bridge: nVidia Corporation MCP51 PCI Bridge (rev a2)
00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2)
00:14.0 Bridge: nVidia Corporation MCP51 Ethernet Controller (rev a1)
00:18.0 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] HyperTransport Technology Configuration
00:18.1 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Address Map
00:18.2 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] DRAM Controller
00:18.3 Host bridge: Advanced Micro Devices [AMD] K8 [Athlon64/Opteron] Miscellaneous Control
04:05.0 FireWire (IEEE 1394): VIA Technologies, Inc. VT6306/7/8 [Fire II(M)] IEEE 1394 OHCI Controller (rev 80)
04:09.0 SCSI storage controller: LSI Logic / Symbios Logic 53c875 (rev 26)
Comment 1 Harald Hoyer 2010-06-25 04:57:07 EDT
If you can boot a different kernel with the same udev, then  it's a kernel bug.
You might want to check, if it is a kernel module, which is hanging, by adding "modprobedebug" to the kernel command line and remove "rhgb quiet".
Comment 2 Orion Poplawski 2010-06-25 12:47:04 EDT
If I change udev_log to "info" in /etc/udev/udev.conf, the system boots fine, so it seems like some kind of timing issue.

modprobedebug lists the follow modules as the last loaded (all that fit on the screen):

joydev
sg
snd-seq-oss
snd-seq-midi-event
snd-seq
snd-seq-device
snd-pcm-oss
snd-mixer-oss
snd-pcm

Tried making a /etc/modprobe.d/blacklist-test file with those modules listed, e.g.:

blacklist joydev

to no effect.

I am seeing these in the -194 logs, but not in -164:

hda-intel: azx_get_response timeout, switching to polling mode: last cmd=0x000f0000
ACPI: Mapper loaded
dell-wmi: No known WMI GUID found
w83627ehf: Found W83627EHG chip at 0x290
Comment 3 Orion Poplawski 2010-06-25 12:48:53 EDT
Created attachment 426936 [details]
dmesg-2.6.18-164.15.1.el5xen
Comment 4 Orion Poplawski 2010-06-25 12:49:31 EDT
Created attachment 426937 [details]
dmesg-2.6.18-194.3.1.el5xen
Comment 5 Andrew Jones 2010-07-12 07:46:20 EDT
Nothing in the dmesg differences between -164 and -194 looks interesting. Are you saying that with the same udev you can boot on 164, but not 194? What about bare-metal 194?
Comment 6 Orion Poplawski 2010-07-12 13:18:32 EDT
(In reply to comment #5)
> Nothing in the dmesg differences between -164 and -194 looks interesting. Are
> you saying that with the same udev you can boot on 164, but not 194? What about
> bare-metal 194?    

Yes, current udev and -164 xen boot fine.  Tried three time with bare-metal 194 - got 1 good boot, one udev hang, and one kernel panic.

My guesses are either loading the sym53c8xx driver and related - I have two tape drives attached that can get into bad states at times, or 00:10.1 Audio device: nVidia Corporation MCP51 High Definition Audio (rev a2) as the latest boot seemed to indicate udev might have been waiting for that to load.
Comment 8 RHEL Product and Program Management 2014-03-07 07:49:21 EST
This bug/component is not included in scope for RHEL-5.11.0 which is the last RHEL5 minor release. This Bugzilla will soon be CLOSED as WONTFIX (at the end of RHEL5.11 development phase (Apr 22, 2014)). Please contact your account manager or support representative in case you need to escalate this bug.
Comment 9 Orion Poplawski 2014-03-07 12:05:46 EST
I'm no longer using EL5 or xen.
Comment 10 Ronen Hod 2014-07-03 09:20:09 EDT
Closing. Too old RHEL5 bug.

Note You need to log in before you can comment on or make changes to this bug.